# Summary

[Introduction](./README.md)

# Before you start

- [Prerequisites](./prerequisites.md)

# Backend
- [Backend](./backend/00_backend.md)
  - [Workspace Setup](./backend/01_workspace_setup.md)
  - [Exploring Shuttle](./backend/02_shuttle.md)
  - [Deploying with Shuttle](./backend/03_deploying_with_shuttle.md)
  - [Shuttle CLI and Console](./backend/04_shuttle_cli_console.md)
  - [Working with a Database](./backend/05_working_with_a_database.md)
  - [Setting up the Database](./backend/06_setting_up_the_database.md)
  - [Connecting to the Database](./backend/07_connecting_the_database.md)
  - [Deploying the Database](./backend/08_deploying_the_database.md)
  - [Debugging](./backend/09_debugging.md)
  - [Instrumentation](./backend/10_instrumentation.md)
  - [Watch Mode](./backend/11_watch_mode.md)
  - [Moving our endpoints to a library](./backend/12_library.md)
  - [Creating a health check endpoint](./backend/13_health_check.md)
  - [Using the configure method](./backend/14_configure_method.md)
  - [Unit and Integration tests](./backend/15_testing.md)
  - [Films endpoints](./backend/16_films_endpoints.md)
  - [Models](./backend/17_models.md)
  - [Serde](./backend/18_serde.md)
  - [Film Repository](./backend/19_film_repository.md)
  - [Implementing Film Repository](./backend/20_implementing_trait.md)
  - [Injecting the repository](./backend/21_injecting_repository.md)
  - [Implementing the endpoints](./backend/22_implementing_endpoints.md)
  - [Static dispatch](./backend/23_static_dispatching.md)
  - [Serving static files](./backend/24_serving_static_files.md)
  - [Bonus: Makefile.toml](./backend/25_makefile_toml.md)

# Frontend
- [Frontend](./frontend/03_frontend.md)
  - [Setup](./frontend/03_01_setup.md)
  - [Starting the Application](./frontend/03_02_app_startup.md)
  - [Components](./frontend/03_03_components.md)
    - [Layout Components](./frontend/03_03_01_layout.md)
    - [Reusable Components](./frontend/03_03_02_reusable_components.md)
  - [State management](./frontend/03_04_state_management.md)
    - [Global state](./frontend/03_04_01_global_state.md)
    - [Local state](./frontend/03_04_02_local_state.md)
    - [App effects](./frontend/03_04_03_effects.md)
  - [Event handlers](./frontend/03_05_event_handlers.md)
  - [Building](./frontend/03_06_building.md)
